VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::boot::DeviceTypes::Entry Class Reference

The `Device.Entry` class specifies a bootable virtual device class or specific bootable virtual device(s). More...

List of all members.

## Public Member Functions
| Entry ()
| Creates a default new instance.
vmware.vcenter.vm.hardware.boot.DeviceTypes.Type | Get_Type ()
| Virtual device type.
void | SetType (vmware.vcenter.vm.hardware.boot.DeviceTypes.Type type)
| Virtual device type.
string | GetNic ()
| Virtual Ethernet device.
void | SetNic (string nic)
| Virtual Ethernet device.
global::System.Collections.Generic.List < string > | GetDisks ()
| Virtual disk device.
void | SetDisks (global::System.Collections.Generic.List< string > disks)
| Virtual disk device.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Device.Entry` class specifies a bootable virtual device class or specific bootable virtual device(s).

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::boot::DeviceTypes::Entry::Entry | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::vm::hardware::boot::DeviceTypes::Entry::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::vm::hardware::boot::DeviceTypes::Entry::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::vm::hardware::boot::DeviceTypes::Entry::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::vm::hardware::boot::DeviceTypes::Entry::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::vm::hardware::boot::DeviceTypes::Entry::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::vm::hardware::boot::DeviceTypes::Entry::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.vm.hardware.boot.DeviceTypes.Type vmware::vcenter::vm::hardware::boot::DeviceTypes::Entry::Get_Type | ( |  | ) | `[inline]`

Virtual device type.

global::System.Collections.Generic.List<string> vmware::vcenter::vm::hardware::boot::DeviceTypes::Entry::GetDisks | ( |  | ) | `[inline]`

Virtual disk device.

List of virtual disks in boot order. When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `com.vmware.vcenter.vm.hardware.Disk` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `com.vmware.vcenter.vm.hardware.Disk` .

override int vmware::vcenter::vm::hardware::boot::DeviceTypes::Entry::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::vm::hardware::boot::DeviceTypes::Entry::GetNic | ( |  | ) | `[inline]`

Virtual Ethernet device.

Ethernet device to use as boot device for this entry. When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .

void vmware::vcenter::vm::hardware::boot::DeviceTypes::Entry::SetDisks | ( | global::System.Collections.Generic.List< string > | disks | ) | `[inline]`

Virtual disk device.

List of virtual disks in boot order. When clients pass a value of this class as a parameter, the field must contain identifiers for the resource type: `com.vmware.vcenter.vm.hardware.Disk` . When methods return a value of this class as a result, the field will contain identifiers for the resource type: `com.vmware.vcenter.vm.hardware.Disk` .

void vmware::vcenter::vm::hardware::boot::DeviceTypes::Entry::SetNic | ( | string | nic | ) | `[inline]`

Virtual Ethernet device.

Ethernet device to use as boot device for this entry. When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .

void vmware::vcenter::vm::hardware::boot::DeviceTypes::Entry::SetType | ( | vmware.vcenter.vm.hardware.boot.DeviceTypes.Type | type | ) | `[inline]`

Virtual device type.

override string vmware::vcenter::vm::hardware::boot::DeviceTypes::Entry::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- DeviceTypes.cs